Bug 53103 - Overrides /etc/X11/fs/config
Overrides /etc/X11/fs/config
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-03 13:23 EDT by Enrico Scholz
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 10:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-09-03 13:23:23 EDT
Description of Problem:

/etc/X11/fs/config is marked as %config only but without the (noreplace)-flag. 

Therefore, all local costumizations and font-paths are lost.


Version-Release number of selected component (if applicable):

XFree86-4.1.0-1


Steps to Reproduce:
1. install on one host an xfs-fontserver by setting 'no-listen=' 
2. install on another one which uses "tcp/font-server:7100" as fontpath
3. upgrade XFree86 in the font-server
4. try to start X on the other host
-----
1. install XFree86-jpfonts
2. upgrade XFree86
3. start an application which uses fonts from the -jpfonts package


Actual Results:

(4) fails at the first example
there are fonts missing at (3) of the 2nd example
Comment 1 Mike A. Harris 2001-09-04 13:08:39 EDT
Fixed in XFree86-4.1.0-3, as well as with XftConfig

Note You need to log in before you can comment on or make changes to this bug.